import * as _nuxt_schema from '@nuxt/schema';

interface ModuleOptions {
    /**
     * The route where the Storybook application will be available in development mode.
     *
     * @default '/_storybook'
     */
    route: string;
    /**
     * The port where the Storybook application server will be started.
     *
     * @default 6006
     */
    port: number;
    /**
     * The host where the Storybook application server will be started.
     *
     * @default Environment variable 'STORYBOOK_HOST' or 'http://localhost'
     * @example 'http://localhost'
     */
    host: string;
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { type ModuleOptions, _default as default };
